Download payment batch payments
Download all payments submitted in a payment batch.
POST
/
payment-batches
/
{paymentBatchId}
/
payments
/
download
cURL
curl --request POST \
--url 'https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}/payments/download?accountId={{accountId}}' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{}
'import requests
url = "https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}/payments/download"
payload = {}
headers = {
"content-type": "<content-type>",
"Authorization": "<api-key>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'content-type': '<content-type>', Authorization: '<api-key>'},
body: JSON.stringify({})
};
fetch('https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}/payments/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
Headers
Indicates the format of the downloaded file.
Available options:
text/csv, application/json Path Parameters
The unique ID of the Payment Batch.
Maximum string length:
36Query Parameters
The ID of the account to work with.
Example:
"F50091"
Available options:
created, validated, confirmed, started, completed, failed Body
application/json
Body
The body is of type object.
Response
200 - application/json
OK
Was this page helpful?
⌘I
cURL
